Index: trunk/SophyaLib/Samba/Makefile.mgr
===================================================================
--- trunk/SophyaLib/Samba/Makefile.mgr	(revision 2735)
+++ trunk/SophyaLib/Samba/Makefile.mgr	(revision 2735)
@@ -0,0 +1,168 @@
+include ../Mgr/Makefile.h
+ 
+all: $(LIB)libSamba.a
+clean:
+	rm -f $(OBJ)alm.o $(OBJ)bruit.o $(OBJ)circle.o $(OBJ)datacirclefake.o $(OBJ)harmspher.o $(OBJ)lambdaBuilder.o $(OBJ)mlobe.o $(OBJ)sambainit.o $(OBJ)scan.o $(OBJ)sphericaltransformserver.o
+	rm -f $(LIB)libSamba.a
+$(LIB)libSamba.a : $(OBJ)alm.o $(OBJ)bruit.o $(OBJ)circle.o $(OBJ)datacirclefake.o $(OBJ)harmspher.o $(OBJ)lambdaBuilder.o $(OBJ)mlobe.o $(OBJ)sambainit.o $(OBJ)scan.o $(OBJ)sphericaltransformserver.o
+	$(ARCXX) $(ARCXXFLAGS) $@ $($(ARARGS))
+ifeq ($(CXX),cxx)
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
+endif 
+ 
+$(OBJ)alm.o: alm.cc $(INC)sopnamsp.h \
+ alm.h $(INC)nbrandom.h \
+ $(INC)srandgen.h \
+ $(INC)machdefs.h \
+ $(INC)nbmath.h \
+ $(INC)smathconst.h \
+ $(INC)triangmtx.h \
+ $(INC)ndatablock.h \
+ $(INC)anydataobj.h \
+ $(INC)pexceptions.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)mutyv.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ppfbinstream.h \
+ $(INC)rawstream.h \
+ $(INC)ppfnametag.h \
+ $(INC)utilarr.h
+$(OBJ)bruit.o: bruit.cc \
+ $(INC)sopnamsp.h \
+ $(INC)fmath.h bruit.h \
+ $(INC)nbrandom.h \
+ $(INC)srandgen.h \
+ $(INC)machdefs.h
+$(OBJ)circle.o: circle.cc \
+ $(INC)sopnamsp.h circle.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)machdefs.h \
+ $(INC)utilgeom.h \
+ $(INC)unitvector.h geometry.h
+$(OBJ)datacirclefake.o: datacirclefake.cc \
+ $(INC)sopnamsp.h \
+ datacirclefake.h datacirclebase.h circle.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)machdefs.h \
+ $(INC)utilgeom.h \
+ $(INC)unitvector.h geometry.h
+$(OBJ)harmspher.o: harmspher.cc \
+ $(INC)machdefs.h harmspher.h
+$(OBJ)lambdaBuilder.o: lambdaBuilder.cc \
+ $(INC)sopnamsp.h lambdaBuilder.h \
+ $(INC)ndatablock.h \
+ $(INC)machdefs.h \
+ $(INC)anydataobj.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)mutyv.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ppfbinstream.h \
+ $(INC)rawstream.h \
+ $(INC)ppfnametag.h \
+ $(INC)utilarr.h alm.h \
+ $(INC)nbrandom.h \
+ $(INC)srandgen.h \
+ $(INC)nbmath.h \
+ $(INC)smathconst.h \
+ $(INC)triangmtx.h \
+ $(INC)nbconst.h
+$(OBJ)mlobe.o: mlobe.cc \
+ $(INC)sopnamsp.h mlobe.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)machdefs.h \
+ $(INC)pixelmap.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ppfbinstream.h \
+ $(INC)rawstream.h \
+ $(INC)ppfnametag.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)timing.h
+$(OBJ)sambainit.o: sambainit.cc \
+ $(INC)sopnamsp.h sambainit.h \
+ $(INC)skymapinit.h \
+ $(INC)sophyainit.h \
+ $(INC)machdefs.h \
+ $(INC)ntoolsinit.h \
+ $(INC)tarrinit.h
+$(OBJ)scan.o: scan.cc $(INC)sopnamsp.h \
+ $(INC)machdefs.h scan.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ppfbinstream.h \
+ $(INC)rawstream.h \
+ $(INC)ppfnametag.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h \
+ $(INC)ndatablock.h \
+ $(INC)fiondblock.h \
+ $(INC)smathconst.h
+$(OBJ)sphericaltransformserver.o: sphericaltransformserver.cc \
+ $(INC)sopnamsp.h \
+ $(INC)machdefs.h \
+ sphericaltransformserver.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)pixelmap.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ppfbinstream.h \
+ $(INC)rawstream.h \
+ $(INC)ppfnametag.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)fftservintf.h \
+ $(INC)fftpserver.h alm.h \
+ $(INC)nbrandom.h \
+ $(INC)srandgen.h \
+ $(INC)nbmath.h \
+ $(INC)triangmtx.h \
+ lambdaBuilder.h $(INC)timing.h
